Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.realmadapter
Interface RealmAdapterAuthenticatorMBean

public interface RealmAdapterAuthenticatorMBean
extends weblogic.management.commo.StandardInterface, AuthenticatorMBean, IdentityAsserterMBean

The MBean for the Realm Adapter Authentication provider and Identity Assertion provider. The Realm Adapter Identity Assertion provider only accepts X509 tokens.

Method Summary
`java.lang.String` | `getDescription()` A short description of the Realm Adapter Authentication provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class that loads the Realm Adapter Authentication provider.
`java.lang.String[]` | `getSupportedTypes()` No description provided.
`java.lang.String` | `getVersion()` The version number of the Realm Adapter Authentication provider.

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.authentication.IdentityAsserterMBean
`getActiveTypes, getBase64DecodingRequired, setActiveTypes, setBase64DecodingRequired`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class that loads the Realm Adapter Authentication provider.

  Default Value: "weblogic.security.providers.realmadapter.AuthenticationProviderImpl"

### getDescription

    public java.lang.String getDescription()

  A short description of the Realm Adapter Authentication provider.

  Default Value: "Realm Adapter for Authentication and Identity Assertion"

### getVersion

    public java.lang.String getVersion()

  The version number of the Realm Adapter Authentication provider.

  Default Value: "1.0"

### getSupportedTypes

    public java.lang.String[] getSupportedTypes()

  No description provided.
  Specified by:
    getSupportedTypes in interface IdentityAsserterMBean

  Default Value: new String[] { weblogic.security.spi.IdentityAsserter.X509_TYPE, weblogic.security.spi.IdentityAsserter.AU_TYPE }

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference